Ticket #1288 (new defect)

Opened 5 years ago

Last modified 5 years ago

Flag 'abi_x86_32' is not included in IUSE_EFFECTIVE=

Reported by: volkov Owned by:
Priority: Sometime Milestone:
Component: clients/cave Version: 1.4.0
Keywords: Cc:
Blocked By: Blocking:
Distribution: N/A

Description

Error:

  • In program cave perform install --hooks --managed-output --output-exclusivity with-others =dev-libs/libpthread-stubs-0.3-r1:0::gentoo --destination installed --x-of-y 1 of 1:
  • When installing 'dev-libs/libpthread-stubs-0.3-r1:0::gentoo':
  • When running an ebuild command on 'dev-libs/libpthread-stubs-0.3-r1:0::gentoo':
  • Install failed for 'dev-libs/libpthread-stubs-0.3-r1:0::gentoo' (paludis::ActionFailedError?)

Starting src_configure

!!! ERROR in dev-libs/libpthread-stubs-0.3-r1::gentoo: !!! In useq at line 6103 !!! Flag 'abi_x86_32' is not included in IUSE_EFFECTIVE="abi_mips_n32 abi_mips_n64 abi_mips_o32 abi_x86_32 abi_x86_64 abi_x86_x32 alpha amd64 amd64-fbsd amd64-linux arm arm-linux elibc_AIX elibc_Cygwin elibc_Darwin elibc_FreeBSD elibc_HPUX elibc_Interix elibc_NetBSD elibc_OpenBSD elibc_SunOS elibc_Winnt elibc_glibc elibc_mintlib elibc_musl elibc_uclibc hppa hppa-hpux ia64 ia64-hpux ia64-linux kernel_AIX kernel_Cygwin kernel_Darwin kernel_FreeBSD kernel_HPUX kernel_Interix kernel_NetBSD kernel_OpenBSD kernel_SunOS kernel_Winnt kernel_freemint kernel_linux m68k m68k-mint mips ppc ppc-aix ppc-macos ppc-openbsd ppc64 ppc64-linux prefix s390 sh sparc sparc-fbsd sparc-solaris sparc64-freebsd sparc64-solaris static-libs userland_BSD userland_GNU x64-freebsd x64-macos x64-openbsd x64-solaris x86 x86-cygwin x86-fbsd x86-freebsd x86-interix x86-linux x86-macos x86-netbsd x86-openbsd x86-solaris x86-winnt"

!!! Call stack: !!! * useq (/var/tmp/paludis/dev-libs-libpthread-stubs-0.3-r1/temp/loadsaveenv:6103) !!! * use (/var/tmp/paludis/dev-libs-libpthread-stubs-0.3-r1/temp/loadsaveenv:6067) !!! * multilib_get_enabled_abis (/var/tmp/paludis/dev-libs-libpthread-stubs-0.3-r1/temp/loadsaveenv:4750) !!! * multilib_parallel_foreach_abi (/var/tmp/paludis/dev-libs-libpthread-stubs-0.3-r1/temp/loadsaveenv:4784) !!! * autotools-multilib_src_configure (/var/tmp/paludis/dev-libs-libpthread-stubs-0.3-r1/temp/loadsaveenv:993) !!! * xorg-2_src_configure (/var/tmp/paludis/dev-libs-libpthread-stubs-0.3-r1/temp/loadsaveenv:6268) !!! * src_configure (/var/tmp/paludis/dev-libs-libpthread-stubs-0.3-r1/temp/loadsaveenv:5462) !!! * ebuild_f_configure (/usr/libexec/paludis/2/src_configure.bash:54) !!! * ebuild_main (/usr/libexec/paludis/ebuild.bash:668) !!! * main (/usr/libexec/paludis/ebuild.bash:691)

diefunc: making ebuild PID 32054 exit with error die trap: exiting with error.

Failed install to / for dev-libs/libpthread-stubs-0.3-r1:0::gentoo

Attachments

list_functions.bash.patch Download (351 bytes) - added by volkov 5 years ago.

Change History

Changed 5 years ago by volkov

comment:2 Changed 5 years ago by ciaranm

 https://bugs.gentoo.org/show_bug.cgi?id=486592

The spec is unclear as to whether it's our fault or not.

Note: See TracTickets for help on using tickets.